Subject: [bug#54065] [PATCH 2/3] gnu: mumble: Update to 1.4.230.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 19 Feb 2022 20:20:05 +0100

Am Samstag, dem 19.02.2022 um 19:12 +0100 schrieb Maxime Devos:
> Liliana Marie Prikler schreef op za 19-02-2022 om 16:05 [+0100]:
> > +          (add-after 'unpack 'fix-settings-crash
> > +            (lambda _
> > +              (substitute* "src/mumble/AudioConfigDialog.cpp"
> > +                (("updateEchoEnableState\\(\\) \\{" all)
> > +                 (string-append all
> > +                                "if (!AudioInputRegistrar::qmNew)
> > return;")))))
> 
> At first sight, this seems a bug in the source code to me,
> also relevant to other distros, so I would do this in an origin
> snippet and submit it upstream.
To be completely honest, I wrote this before I wrote the phase that
fixes pulseaudio, so it might be that this crash only occurs when pulse
is not running.  Need to investigate that.